Patch SCIM Group
curl --request PATCH \
--url https://eu1.api.matillion.com/dpc/v1/directory-integration/scim/v2/Groups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"Operations": [
{}
],
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
]
}
'import requests
url = "https://eu1.api.matillion.com/dpc/v1/directory-integration/scim/v2/Groups/{id}"
payload = {
"Operations": [{}],
"schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({Operations: [{}], schemas: ['urn:ietf:params:scim:api:messages:2.0:PatchOp']})
};
fetch('https://eu1.api.matillion.com/dpc/v1/directory-integration/scim/v2/Groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"location": "<string>",
"resourceType": "<string>",
"version": "<string>"
},
"accountId": "<string>",
"accountName": "<string>",
"displayName": "<string>",
"environment": "<string>",
"externalId": "<string>",
"id": "<string>",
"members": [
{
"display": "<string>",
"ref": "<string>",
"value": "<string>"
}
],
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectName": "<string>",
"role": "<string>",
"schemas": [
"<string>"
]
}{
"meta": {
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"location": "<string>",
"resourceType": "<string>",
"version": "<string>"
},
"accountId": "<string>",
"accountName": "<string>",
"displayName": "<string>",
"environment": "<string>",
"externalId": "<string>",
"id": "<string>",
"members": [
{
"display": "<string>",
"ref": "<string>",
"value": "<string>"
}
],
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectName": "<string>",
"role": "<string>",
"schemas": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Directory Integration
Patch SCIM Group
Partially update a SCIM Group by ID
PATCH
/
v1
/
directory-integration
/
scim
/
v2
/
Groups
/
{id}
Patch SCIM Group
Authorizations
a valid bearer token
Path Parameters
Body
application/json
Response
Group patched successfully
Show child attributes
Show child attributes
The unique identifier of the Matillion account this group belongs to
The human-readable name of the Matillion account
The unique identifier of the environment this group is associated with
Required string length:
1 - 2147483647Show child attributes
Show child attributes
The unique identifier of the project this group is associated with
The human-readable name of the project
The role assigned to this group within the Matillion platform
Required array length:
1 - 2147483647 elementsWas this page helpful?
⌘I
